We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/themes \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
"container_info": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15c3",
"wp_themes": {
"data": [
{
"name": "twentytwentythree",
"title": "Twenty Twenty Three",
"status": "active",
"version": "1.0.0",
"update": "available",
"update_version": "1.0.1",
"update_status": "updated"
}
]
}
}
}
}This endpoint is deprecated. Please use Get Wordpress Themes instead.
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/themes \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
"container_info": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15c3",
"wp_themes": {
"data": [
{
"name": "twentytwentythree",
"title": "Twenty Twenty Three",
"status": "active",
"version": "1.0.0",
"update": "available",
"update_version": "1.0.1",
"update_status": "updated"
}
]
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Successfully found WP themes
Show child attributes